<?php
/**
 * @package   Hide Menu Items
 * @version   1.0.0
 * @author    Randy Carey
 * link       http://iCueProject.com
 * @copyright Copyright (C) 2018 Randy Carey, iCue Project
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die('Restricted index access');

/**
 * Class plgSystemHidemenuitem
 *
 */
class plgSystemHidemenuitem extends JPlugin {

    public function onAfterInitialise() {
        if($rules = $this->createCssDisplayNoneRules()){
            JFactory::getDocument()->addStyleDeclaration($rules);
        }

    }

    public function onAfterRoute() {
	   	$app = JFactory::getApplication();
    }

    protected function createCssDisplayNoneRules($menu_items){
        $menu_items = $this->params->get('menuitem',array());
        $apply_to = array();
        foreach($menu_items as $item){
            $apply_to[] = 'li.item-'.$item->menuitem;
        }
        return implode(', ',$apply_to).'{display:none;}';
    }

}